# $Revision: 1.87.2.10 $, $Date: 2011/10/18 13:05:43 $
# TODO
# - /usr/share/hal/fdi/policy/20thirdparty/80-apcupsd-ups-policy.fdi
#
# Conditional build:
%bcond_without	cgi	# without CGI program support
%bcond_without	gapcmon	# without gapcmon GUI
%bcond_without	net	# without network support
%bcond_with	snmp	# with SNMP support
%bcond_without	test	# without TEST support
%bcond_without	usb	# without USB support
#
Summary:	Power management software for APC UPS hardware
Summary(pl.UTF-8):	Oprogramowanie do zarządzania energią dla UPS-ów APC
Name:		apcupsd
Version:	3.14.10
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://downloads.sourceforge.net/apcupsd/%{name}-%{version}.tar.gz
# Source0-md5:	5928822d855c5cf7ac29655e3e0b8c23
Source1:	%{name}.init
Source2:	%{name}.logrotate
Source3:	%{name}.sysconfig
Patch0:		%{name}-configure.patch
Patch1:		%{name}-pcnet-seconds.patch
URL:		http://www.apcupsd.com/
%{?with_gapcmon:BuildRequires:	GConf2-devel >= 2.0}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gd-devel
%{?with_gapcmon:BuildRequires:	gtk+2-devel >= 2:2.4.0}
BuildRequires:	man
%{?with_snmp:BuildRequires:	net-snmp-devel}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	util-linux
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/apcupsd
%define		_cgidir		/home/services/httpd/cgi-bin

%description
UPS power management under Linux for APCC Products. It allows your
computer/server to run during power problems for a specified length of
time or the life of the batteries in your BackUPS, BackUPS Pro,
SmartUPS v/s, or SmartUPS, and then properly executes a controlled
shutdown during an extended power failure.

%description -l pl.UTF-8
Oprogramowanie do zarządzania energią dla UPS-ów APC. Pozwala
komputerowi działać po awarii zasilania przez określony czas lub czas
życia akumulatorów w BackUPS, BackUPS Pro, SmartUPS v/s, SmartUPS oraz
odpowiednio uruchamia kontrolowany shutdown przy dłuższej awarii
zasilania.

%package cgi
Summary:	upsstats - Web-based UPS status viewer
Summary(pl.UTF-8):	upsstats - oparta na WWW przeglądarka stanu UPS-a
Group:		Applications/Networking
Requires:	webserver

%description cgi
upsstats.cgi builds a lightweight web page containing basic UPS status
information.

%description cgi -l pl.UTF-8
upsstats.cgi tworzy lekką stronę WWW zawierającą podstawowe informacje
o stanie UPS-a.

%package gapcmon
Summary:	Apcupsd GUI monitoring application
Summary(pl.UTF-8):	Aplikacja GUI monitorowania Apcupsd
Group:		X11/Applications

%description gapcmon
GNOME/GTK+ based application which integrates into most desktop panels
(not just GNOME). It monitors one or more Apcupsd instances using
Apcupsd's NIS networking server. The status of each UPS is shown with
a icon.

%description gapcmon -l pl.UTF-8
Oparta na GNOME/GTK+ aplikacja, która integruje się z panelami (nie
tylko Gnome). Monitoruje jedną bądź kilka instancji Apcupsd za pomocą
serwera NIS. Status każdego UPS-a przedstawia ikona.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
for i in configure.in aclocal.m4 config.h.in; do install autoconf/$i .;done
cp -f %{_datadir}/automake/config.sub autoconf

%build
%{__autoconf}
%configure \
	APCUPSD_MAIL="/bin/mail" \
	SHUTDOWN="/sbin/shutdown" \
	WALL="%{_bindir}/wall" \
	--with-log-dir=%{_var}/log \
	--with-stat-dir=%{_var}/lib/apcupsd \
%if %{with cgi}
	--enable-cgi \
	--with-cgi-bin=/home/services/httpd/cgi-bin \
%endif
	%{?with_test:--enable-test} \
%if %{with net}
	--enable-net \
%endif
	%{?with_gapcmon:--enable-gapcmon} \
	%{?with_snmp:--enable-snmp} \
	%{?with_usb:--enable-usb}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{apcupsd,logrotate.d,rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT/var/{log,lib/apcupsd}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/apcupsd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/apcupsd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/apcupsd

touch $RPM_BUILD_ROOT/var/log/apcupsd.events
touch $RPM_BUILD_ROOT/var/lib/apcupsd/apcupsd.status

cat > $RPM_BUILD_ROOT/etc/rc.d/init.d/halt << EOF
#!/bin/sh
/etc/rc.d/init.d/apcupsd powerdown
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add apcupsd
%service apcupsd restart "apcupsd daemon"

%preun
if [ "$1" = "0" ]; then
	%service apcupsd stop
	/sbin/chkconfig --del apcupsd
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog Developers
%attr(755,root,root) %{_sbindir}/apcaccess
%attr(755,root,root) %{_sbindir}/apctest
%attr(755,root,root) %{_sbindir}/apcupsd
%attr(755,root,root) %{_sbindir}/smtp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apcupsd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/apcupsd
%attr(754,root,root) %{_sysconfdir}/apccontrol
%attr(754,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/changeme
%attr(754,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/commfailure
%attr(754,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/commok
#%attr(754,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mainsback
%attr(754,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/onbattery
%attr(754,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/offbattery
%if %{with cgi}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/hosts.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/multimon.conf
%{_sysconfdir}/apcupsd.css
%endif
%attr(754,root,root) /etc/rc.d/init.d/apcupsd
%attr(754,root,root) /etc/rc.d/init.d/halt
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/apcupsd
%dir %{_sysconfdir}
%dir /var/lib/apcupsd
%attr(640,root,root) %ghost /var/log/apcupsd.events
%attr(640,root,root) %ghost /var/lib/apcupsd/apcupsd.status
%{_mandir}/man8/apcupsd.8*
%{_mandir}/man8/apctest.8*
%{_mandir}/man8/apcaccess.8*
%{_mandir}/man8/apccontrol.8*
%{_mandir}/man5/apcupsd.conf.5*

%if %{with cgi}
%files cgi
%defattr(644,root,root,755)
%attr(755,root,root) %{_cgidir}/*.cgi
%endif

%if %{with gapcmon}
%files gapcmon
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gapcmon
%{_desktopdir}/gapcmon.desktop
%{_pixmapsdir}/*.png
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apcupsd.spec,v $
Revision 1.87.2.10  2011/10/18 13:05:43  marcus
- up to 3.14.10

Revision 1.87.2.9  2010/02/08 15:15:38  glen
- merge with HEAD

Revision 1.87.2.8  2010/02/08 15:14:52  glen
- fix corrupted charset

Revision 1.87.2.7  2010/02/08 15:08:20  glen
- needs to find shutdown program to build

Revision 1.87.2.6  2010/02/06 12:54:30  marcus
- up to 3.14.8, stbr for Ac updates please

Revision 1.87.2.5  2009/08/23 21:12:27  marcus
- update to 3.14.7. Please STBR.

Revision 1.87.2.4  2009/05/28 20:00:13  marcus
- add BR gd-devel for cgi

Revision 1.87.2.3  2009/05/28 19:54:59  marcus
- up to 3.14.6

Revision 1.87.2.2  2009/02/27 14:21:20  marcus
- up to 3.14.5

Revision 1.87.2.1  2008/12/14 09:47:40  marcus
- rel.2. TIMELEFT will be in minutes

Revision 1.88  2008/12/14 09:41:32  marcus
- driver pcnet: TIMELEFT will be in minutes, not seconds
- rel.2.

Revision 1.87  2008/09/26 23:57:01  wolvverine
- up to 3.14.4, STBR

Revision 1.86  2008/03/01 19:19:56  qboosh
- fixed build (spec syntax)
- proper gapcmon BRs

Revision 1.85  2008-03-01 19:03:34  qboosh
- unified GNOME/GTK+ spelling, formatting

Revision 1.84  2008-03-01 18:12:19  gotar
- BR: gettext-devel for NLS support

Revision 1.83  2008-03-01 17:57:41  gotar
- fixed build on AMD64,
- bconds: added gapcmon, fixed CGI, sorted

Revision 1.82  2008-03-01 17:38:22  gotar
- upgraded to 3.14.3; master-slave mode has been removed,
- added gapcmon subpackage, enabled powerflute and NLS

Revision 1.81  2007-04-10 18:06:38  shadzik
- fix my last change

Revision 1.80  2007/04/09 19:25:18  shadzik
- don't use autoconf if you replace configure script anyway
- kill autoconf and automake BRs (automake wasn't even used)
- use configure script which comes with source and don't make much trouble about nothing in %build
  (those all cd here, cd there, cp this, cp -f that were useless)

Revision 1.79  2007/04/07 13:53:03  rotom
- up to 3.12.4 by Arkadiusz Machoł

Revision 1.78  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.77  2007/02/12 00:48:38  baggins
- converted to UTF-8

Revision 1.76  2006/06/09 15:07:10  wolf
- cosmetics

Revision 1.75  2006/05/19 06:46:09  marcus
- up to 3.12.3. works.

Revision 1.74  2006/03/17 20:07:36  dzeus
- use %service

Revision 1.73  2006/03/07 16:21:24  wolvverine
- correct files
- release 1

Revision 1.72  2006/02/16 13:54:45  dzeus
- up to 3.12.2

Revision 1.71  2006/01/24 12:47:13  qboosh
- updated configure patch is back

Revision 1.70  2006/01/13 15:15:49  qboosh
- pl for cgi

Revision 1.69  2006/01/13 15:10:54  mwinkler
- changes bcond, description, config

Revision 1.68  2006/01/12 18:39:57  mwinkler
- remove css-dir (always in CONFDIR)

Revision 1.67  2006/01/12 18:34:00  mwinkler
- perms fix

Revision 1.66  2006/01/12 18:28:48  mwinkler
- bcond with cgi program
- todo: move cgi to better place, css fix

Revision 1.65  2006/01/12 17:49:21  mwinkler
- updated to 3.12.1

Revision 1.64  2006/01/07 10:43:37  paszczus
- updated to 3.12.0
- patch0 needs update
- added offbattery
- release 0.1

Revision 1.63  2005/12/12 13:44:45  glen
- adapterized (sorted %verify attrs)

Revision 1.62  2005/12/06 17:38:58  qboosh
- bcond fix, cosmetics, R: rc-scripts

Revision 1.61  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.60  2005/12/04 20:42:39  marcus
- typo

Revision 1.59  2005/12/04 20:41:21  marcus
- typo

Revision 1.58  2005/12/04 20:39:10  marcus
- added master/slave

Revision 1.57  2005/12/04 19:57:20  marcus
- fixed BR, snmp default off

Revision 1.56  2005/12/04 19:25:09  marcus
- network,snmp and usb enabled by default

Revision 1.55  2005/11/29 15:28:55  marcus
- added net support
- rel.2.

Revision 1.54  2005/09/12 06:56:45  paszczus
- updated to 3.10.18 ; STBR

Revision 1.53  2005/03/23 21:54:07  paszczus
- updated to 3.10.17
- cleanups

Revision 1.52  2004/11/05 22:26:13  kali
- simplified bcond, added %verify(not md5 size mtime)
- removed Source0-size

Revision 1.51  2004/11/05 20:03:42  paszczus
- updated to 3.10.16, STBR

Revision 1.50  2004/11/04 20:46:03  paladine
- spaces-<tabs

Revision 1.49  2004/10/24 09:19:32  paszczus
- added missing directory /etc/sysconfig

Revision 1.48  2004/10/24 09:10:15  paszczus
- added apcupsd.sysconfig

Revision 1.47  2004/10/11 09:13:20  paszczus
- added Source0-size

Revision 1.46  2004/10/07 12:21:47  paszczus
- bconded test support (enable by default)
- release 2

Revision 1.45  2004/09/23 13:13:23  kolodko
- added macros in /etc/logrotate.d

Revision 1.44  2004/08/25 19:23:54  qboosh
- BR: automake (wrr)

Revision 1.43  2004/08/25 15:56:06  havner
- rel 1

Revision 1.42  2004/08/25 15:41:51  havner
- config.sub

Revision 1.41  2004/08/24 14:40:40  kali
- updated to 3.10.15
- removed llh patch, already in sources

Revision 1.40  2004/05/24 16:26:29  kali
- added %verify(not md5 size mtime) to config files

Revision 1.39  2004/05/22 22:42:14  kali
- md5 updated

Revision 1.38  2004/05/22 22:02:55  kali
- updated to 3.10.13
- missing dir, some files removed
- added patch to build usb driver with llh > 2.6.5.0-1

Revision 1.37  2004/04/21 23:11:22  andree
- rm source10 - use halt from init script (from Zbigniew Bryczkowski)

Revision 1.36  2004/04/21 17:24:19  andree
- updated to 3.10.12 (almost all fixes from Zbigniew Bryczkowski)
- added init script, logrotate
- patch0 - fix dirs
- %post,%preun,%files fixes
- rel. 0.9 - need to be tested

Revision 1.35  2004/04/17 18:44:10  hunter
- don't use here-files, put them into cvs.

Revision 1.34  2004/04/17 18:29:00  hunter
- don't use configure2_13 when it's not needed.

Revision 1.33  2004/04/06 17:16:53  averne
- updated to 3.10.10
- fixed to build

Revision 1.32  2004/01/04 20:03:16  averne
- updated to 3.10.6

Revision 1.31  2003/08/06 16:12:56  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.30  2003/05/26 16:24:26  malekith
- massive attack: adding Source-md5

Revision 1.29  2003/05/25 05:45:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/02/26 15:56:33  qboosh
- 3.8.1 is no longer available and vulnerable to remote root exploit,
  so changed version to 3.10.5 and updated URLs (no binary package yet)
- still NFY - added TODO

Revision 1.27  2002/12/29 01:44:28  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.26  2002/04/25 15:47:17  arturs
- fixed a small typo

Revision 1.25  2002/02/23 01:23:23  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:12:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/09/28 09:32:53  marcus
- s/%configure/%configure2_13/g

Revision 1.21  2001/09/24 09:40:59  qboosh
- Prereq: chkconfig
- run chkconfig --del only on remove, not upgrade
- pl translations

Revision 1.20  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.17  2001/06/10 14:09:22  grzegorz
- spec adapterized

Revision 1.16  2001/06/10 12:26:53  grzegorz
- fix sysconfdir back to /etc/apcupsd
- added pld style /etc/rc.d/init.d/apcupsd patch
- release 3

Revision 1.15  2001/02/20 15:39:32  mkierus
- fix sysconfdir back to /etc

Revision 1.14  2001/01/02 06:01:40  kloczek
- added paths patch,
- spec adapterized.
  NOT: still not finished.

Revision 1.13  2001/01/01 20:49:13  areq
- fix sysconfdir=/etc/apcupsd/

Revision 1.12  2001/01/01 20:09:02  areq
- start update to 3.8.1

Revision 1.11  2000/06/09 07:22:47  kloczek
- added using %{__make} macro.

Revision 1.10  2000/05/17 23:02:34  kloczek
- spec adapterized.

Revision 1.9  2000/04/18 11:54:18  cieciwa
- some fixes.

Revision 1.8  2000/04/17 18:50:07  cieciwa
- fixed trouble with compile.

Revision 1.7  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.5  2000/02/02 11:05:19  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.4  1999/11/27 14:24:09  kloczek
- adapter(ized) and partialy rewrited.
